/******************************************************************
 * @file  Receiver_Symb_Init.s.c
 * @brief:    [file description] 
 * @author: HUOHUO
 * @Date 2024年10月30日
 * COPYRIGHT NOTICE: ITTC
 * Change_date         Owner         Change_content
 * 2024年10月30日        HUOHUO       create file

*****************************************************************/
#include "receiver_symb_func.h"


 /*!   
 * @brief:  Receiver任务启动前的初始化工作
 *          初始化全局参数，ddr查找表搬入SM
 * @author:  HUOHUO
 * @Date:  2024年10月30日
 */
void Receiver_Symb_Init()
{
    int32_t  ret;
    uint32_t lutDdrAddr,idx;

    //DM0
    
    //DM1

    //DM2

    //DM3

    //SM



    //9. 微码配置文件ddr地址初始化
    ret = osp_get_cfgfile("Receiver_Symb_cfg_dm0.dat",
                          (uint32_t *)&(g_receiver_symb_table_param.receiver_symb_config0_ddr_ptr),
                          (int32_t *)&(g_receiver_symb_table_param.receiver_symb_config0_length));
    if(-1 == ret)
    {
        LOG_ERROR_S("Receiver_Symb_cfg_dm0.dat not found!\n");
    } 
    ret = osp_get_cfgfile("Receiver_Symb_cfg_dm1.dat",
                          (uint32_t *)&(g_receiver_symb_table_param.receiver_symb_config1_ddr_ptr),
                          (int32_t *)&(g_receiver_symb_table_param.receiver_symb_config1_length));
    if(-1 == ret)
    {
        LOG_ERROR_S("Receiver_Symb_cfg_dm1.dat not found!\n");
    } 
    ret = osp_get_cfgfile("Receiver_Symb_cfg_dm2.dat",
                          (uint32_t *)&(g_receiver_symb_table_param.receiver_symb_config2_ddr_ptr),
                          (int32_t *)&(g_receiver_symb_table_param.receiver_symb_config2_length));
    if(-1 == ret)
    {
        LOG_ERROR_S("Receiver_Symb_cfg_dm2.dat not found!\n");
    }                           
    ret = osp_get_cfgfile("Receiver_Symb_cfg_dm3.dat",
                          (uint32_t *)&(g_receiver_symb_table_param.receiver_symb_config3_ddr_ptr),
                          (int32_t *)&(g_receiver_symb_table_param.receiver_symb_config3_length));
    if(-1 == ret)
    {
        LOG_ERROR_S("Receiver_Symb_cfg_dm3.dat not found!\n");
    }  
}
